Bug 108405 - Disabled Sound Juicer encoder choices don't re-enable
Disabled Sound Juicer encoder choices don't re-enable
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2003-10-28 19:40 EST by Torrey Hoffman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-21 17:02:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Torrey Hoffman 2003-10-28 19:40:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031027

Description of problem:
After installing Fedora Core Test 3 and installing all the available updates (as
of October 28th AM), I tried out sound-juicer.  When I chose the "FLAC" encoder
option, I got an error message that FLAC was not installed, and the FLAC and MP3
encoder options became grayed out.

After that I downloaded, compiled, and installed the FLAC encoder.  Running FLAC
from the command prompt works fine.

I restarted sound-juicer and went into preferences to choose FLAC, but the
option was still grayed out.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run sound-juicer with no FLAC installed. 
2. Try to choose the FLAC encoder in the sound-juicer options.
3. The FLAC encoder choice will become grayed out.
4. Install FLAC
5. Restart sound-juicer and try to choose FLAC.
6. The FLAC encoder choice stays grayed out.
Actual Results:  Cannot choose FLAC once it has been disabled, even after FLAC
is installed.

Expected Results:  After installing FLAC, I should be able to choose it as an
encoder option in sound-juicer.

Additional info:
Comment 1 Brent Fox 2003-11-21 17:02:56 EST
Refiled upstream at http://bugzilla.gnome.org/show_bug.cgi?id=127636

I submitted a patch to fix the problem.

Note You need to log in before you can comment on or make changes to this bug.